"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebhooks = void 0;
const webhooks_1 = require("@octokit/webhooks");
const get_error_handler_1 = require("../helpers/get-error-handler");
const octokit_webhooks_transform_1 = require("./octokit-webhooks-transform");
function getWebhooks(state) {
    const webhooks = new webhooks_1.Webhooks({
        path: state.webhooks.path,
        secret: state.webhooks.secret,
        transform: octokit_webhooks_transform_1.webhookTransform.bind(null, state),
    });
    webhooks.on("error", get_error_handler_1.getErrorHandler(state.log));
    return webhooks;
}
exports.getWebhooks = getWebhooks;
//# sourceMappingURL=get-webhooks.js.map