"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServer = void 0;
const path_1 = __importDefault(require("path"));
const express_1 = __importDefault(require("express"));
const logging_middleware_1 = require("./logging-middleware");
// Teach express to properly handle async errors
// tslint:disable-next-line:no-var-requires
require("express-async-errors");
exports.createServer = (options) => {
    const app = express_1.default();
    app.use(logging_middleware_1.getLoggingMiddleware(options.logger));
    app.use("/probot/static/", express_1.default.static(path_1.default.join(__dirname, "..", "..", "static")));
    app.use(options.webhook);
    app.set("view engine", "hbs");
    app.set("views", path_1.default.join(__dirname, "..", "..", "views"));
    app.get("/ping", (req, res) => res.end("PONG"));
    return app;
};
//# sourceMappingURL=create-server.js.map